(function () {
    "use strict";

    angular.module('core').factory('membrosOnlineService', factory);
    factory.$inject = ['$http', '$q'];

    function factory($http, $q) {

        return {
            getAll: function () {
                var deferred = $q.defer();
                $http.post('/membrosonline/getall')
                    .success(function (data) { deferred.resolve(data); })
                    .error(function (data, status, headers, config) { deferred.reject(data); });
                return deferred.promise;
            }
        };
    }

})();


